Onboarding
Get Onboarding Document Review Url
Renders a no-signature onboarding document (the Employee Handbook) once per template version and returns a short-lived inline URL to read it in the onboarding step.
POSThttps://api.toku.com/hris/get-onboarding-document-review-url
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/get-onboarding-document-review-url' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"reviewUrl": "string",
"content": "string",
"fileName": "string",
"templateVersionId": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIdstring<uuid>requiredtemplateIdstring<uuid>requiredResponse
200Successful response
reviewUrlstring | nullrequiredcontentstring | nullrequiredfileNamestringrequiredtemplateVersionIdstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits